#include <math.h>
//#include <cblas.h>               // cBLAS Library
#include <omp.h>                // OpenMP

// using namespace std;
#include "mylib.h"


double scalar(const unsigned int N, const double* restrict x, const double* restrict y)
{
 double sum = 0.0;
 unsigned int i;
#pragma omp parallel for private(i) shared(x,y) schedule(static) reduction(+:sum)
#pragma acc kernels loop  present_or_copyin(x[0:N], y[0:N]) independent reduction(+:sum)
 for (i=0; i<N; ++i)
 {
    sum += x[i]*y[i];
 }
 return sum;
}
